Mercurial > emacs
view mkinstalldirs @ 63245:c16acb8501d2
(copy_executable_and_add_section): Pass non-zero
`verbose' arg to COPY_CHUNK only if DEBUG_DUMP is defined in the
environment. Print section names with %.8s.
(COPY_CHUNK): New 4th arg `verbose'; print diagnostic messages
only if non-zero. All callers changed.
author | Eli Zaretskii <eliz@gnu.org> |
---|---|
date | Fri, 10 Jun 2005 12:54:56 +0000 |
parents | 746c40973d25 |
children | 730155197b96 eb7e8d483840 |
line wrap: on
line source
#! /bin/sh # mkinstalldirs --- make directory hierarchy # Author: Noah Friedman <friedman@prep.ai.mit.edu> # Created: 1993-05-16 # Public domain errstatus=0 for file do set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'` shift pathcomp= for d do pathcomp="$pathcomp$d" case "$pathcomp" in -* ) pathcomp=./$pathcomp ;; esac if test ! -d "$pathcomp"; then echo "mkdir $pathcomp" 1>&2 (mkdir "$pathcomp" && chmod a+rx "$pathcomp") || lasterr=$? if test ! -d "$pathcomp"; then errstatus=$lasterr fi fi pathcomp="$pathcomp/" done done exit $errstatus # mkinstalldirs ends here